Skip to main content
GET
/
v1
/
billing
/
invoices
Get statements on the account
curl --request GET \
  --url https://api.wavix.com/v1/billing/invoices \
  --header 'Authorization: Bearer <token>'
{
  "is_empty": false,
  "invoices": [
    {
      "id": 1,
      "from_date": "2023-08-01T00:00:00.000Z",
      "to_date": "2023-08-31T00:00:00.000Z",
      "amount": "25.00"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total": 1,
    "total_pages": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Query Parameters

page
integer<int32>

Requested page

Example:

1

per_page
integer<int32>

Number of records per page

Example:

25

Response

Request successful.

is_empty
boolean
required

Indicates an empty invoice list

Example:

false

invoices
Invoice · object[]
required

A list on invoiced on the account

pagination
Pagination · object
required